# dropped support for FC5
# but meanwhile sticking with guile-1.6 i.e compat-guile-16
Name:            libgeda
Version:         20070216
Release:         1%{?dist}
Summary:         Libraries for the gEDA project

Group:           System Environment/Libraries
License:         GPL
URL:             http://www.geda.seul.org

Source:          ftp://ftp.geda.seul.org/pub/geda/devel/%{version}/%{name}-%{version}.tar.gz

BuildRoot:       %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires(post):  /sbin/ldconfig
Requires(postun):/sbin/ldconfig

BuildRequires:   gtk2-devel gd-devel gettext-devel

BuildRequires:   compat-guile-16-devel

%description
This package contains libgeda, the library needed by gEDA applications.


%package doc
Summary:         Documentation for libgeda, Libraries for the gEDA project
Group:           Documentation
Requires:        %{name} = %{version}-%{release}


%description doc
This package contains the documentation of pcb in html, pdf, postscript and
info format.


%package devel
Summary:         Development files for the libgeda library
Group:           Development/Libraries
Requires:        %{name} = %{version}-%{release}
Requires:        gtk2-devel, gd-devel
Requires:        compat-guile-16-devel gettext-devel

%description devel
Development files for libgeda library


%prep
%setup -q

cp -p configure configure.guile16
sed -i "s|guile|guile-1.6|" configure
sed -i "s|guile-1.6-config|guile-config-1.6|" configure src/create_proto
sed -i "s|guile-1.6-tools|guile-tools-1.6|" configure
sed -i "s|ac_cv_lib_guile-1.6|ac_cv_lib_guile|" configure
sed -i "s|-lguile-1.6|-lguile16|" configure
sed -i "s|guile-1.6version|guileversion|" configure
sed -i "s|#include <libguile-1.6.h>|#include <libguile16.h>|" configure
# v20061020 : file: include/libgeda.h
# Keep timestamps for files not needed to be modified
for f in `find . -name \*.h -or -name \*.c` ; do
   if grep -q libguile $f ; then
      sed -i.guile16 -e 's|libguile.h|libguile16.h|' $f
   fi
   if grep -q 'guile/' $f ; then
      sed -i 's|guile/\(.*\)h|guile16/\1h|' $f
   fi
done


%build

export GUILE_CFLAGS="-I%{_includedir}/libguile16 -I%{_includedir}/guile16"
export GUILE_LDFLAGS="-L%{_libdir}/guile16"

%configure --disable-static
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} INSTALL="install -p" install DESTDIR=%{buildroot}
%{__rm} -f %{buildroot}%{_infodir}/dir
%{__rm} -f %{buildroot}%{_libdir}/*.la
%{__rm} -rf docs/Makefile*

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
%{__rm} -rf %{buildroot}

# geda-symbols is the Owner of the following directories
#%dir %{_datadir}/gEDA/bitmap
#%dir %{_datadir}/gEDA/docs
#%dir %{_datadir}/gEDA/docs/readmes
#%dir %{_datadir}/gEDA/docs/man
#%dir %{_datadir}/gEDA/examples
#%dir %{_datadir}/gEDA/scheme

# libgeda is the Owner of the following directories
#%dir %{_datadir}/gEDA

%files
%defattr(-,root,root,-)
%doc COPYING ChangeLog README
%{_libdir}/libgeda.so.*
%dir %{_datadir}/gEDA/
%{_datadir}/gEDA/prolog.ps

%files devel
%defattr(-,root,root,-)
%doc AUTHORS BUGS HACKING TODO
%{_includedir}/libgeda
%{_libdir}/libgeda.so
%{_libdir}/pkgconfig/libgeda.pc


%files doc
%defattr(-, root, root, -)
%doc docs/*


%Changelog
* Wed Mar 28 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 20070216-1
- new upstream release on 2007 02 16
- bugfix: #233861 - unowned %%{_datadir}/gEDA/ directory

* Sat Jan 06 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 20061020-3
- Fix the replacement for guile 1.6

* Fri Dec 07 2006 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 20061020-2
- Downgraded to guile-1.6 for BR

* Wed Nov 01 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 20061020-1
- New upstream release

* Wed Oct 11 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 20060906-3
- Fixes Bug 210121 Printing does not produce correct post-script
- Changed ownership of prolog.ps from libgeda-doc to libgeda

* Sun Sep 10 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 20060906-2
- Rebuild for FC-6 devel

* Sun Sep 10 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 20060906-1
- Upstream release 20060906

* Mon Sep 04 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 20060824-1
- Upstream release 20060824

* Wed Aug 30 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 20060123-6
- Fixed useless BR

* Tue Aug 29 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 20060123-5
- patches replaced by bash commands

* Tue Aug 29 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 20060123-4
- Fixed BR for -devel package
- Added patches to make use of gd instead of ligdgeda
- Added the doc package

* Fri Aug 25 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 20060123-3
- packaging for FC5 and later
- added texi2html as BR to set HTML file creation enabled
- opting for gd-devel prior to libgdgeda-devel as BR
- Removed %%{_infodir}/dir

* Wed Feb 22 2006 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20060123-2.fc4
- more cleanup

* Fri Jan 27 2006 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20060123-1.fc4
- updated to version 20060123 - libgeda.so.25.0.0

* Sun Jan 1 2006 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20050820-2.fc4
- specfile cleanup

* Wed Aug 24 2005 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20050820-1.fc4
- updated to version 20050820

* Tue Jun 28 2005 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20050313-1.fc4
- rebuilt for Fedora Core 4

* Tue Mar 14 2005 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20050313-1.fc3.wk
- updated to version 20050313 - libgeda.so.23.0.0

* Wed Dec 28 2004 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20041228-1.fc3.wk
- updated to version 20041228 - libgeda.so.22.0.0,

* Sun Dec 12 2004 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20040111-1.fc3.wk
- rebuilt for Fedora Core 3

* Wed Jan 14 2004 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20040111-1
- updated to version 20040111 - libgeda.so.20.0.0,
- built on Fedora Core 1
- modified specfile

* Thu Sep 4 2003 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20030901-1
- updated to version 20030901 - libgeda.so.19.0.0

* Wed May 28 2003 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20030525-1
- updated to version 20030525, compiled on RedHat 9

* Tue Feb 25 2003 Wojciech Kazubski <wk at ire.pw.edu.pl> - 200302223-2
- updated to version 20030223 - libgeda.so.18.0.0

* Fri Nov 8 2002 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20021103-1
- updated to version 20021103, compiled on RedHat 8.0

* Wed Sep 4 2002 Wojciech Kazubski <wk at ire.pw.edu.pl> -20020825-1
- updated to version 20020825

* Sat Jun 1 2002 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20020527-1
- updated to version 20020527

* Wed Feb 13 2002 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20020209-1
- updated to version 20020209 - libgeda.so.15.0.0
- info files added
- split into libgeda and libgeda-devel

* Tue Nov 27 2001 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20010722-2
- some corrections

* Thu Aug 3 2001 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20010722-1
- updated to version 20010722; built on redhat-7.0

* Sun Mar 11 2001 L.J.H. Timmerman <bert.timmerman at corusgroup.com>
- updated to version 20010304; built on redhat-7.0

* Thu Aug 10 2000 Emmanuel Rouat <emmanuel.rouat at wanadoo.fr>
- rebuild with new version of rpm (shouldn't change anything)

* Thu Jul  6 2000 Emmanuel Rouat <emmanuel.rouat at wanadoo.fr>
- updated to version 20000704
- changed licence from LGPL to GPL

* Wed Feb 23 2000 Emmanuel Rouat <emmanuel.rouat at wanadoo.fr>
- removed 'Redhat Contrib Net' stuff
- updated to version 20000220

* Thu Oct 14 1999 Emmanuel Rouat <emmanuel.rouat at wanadoo.fr>
- updated to version 19991011

* Wed Sep 22 1999 Emmanuel Rouat <emmanuel.rouat at wanadoo.fr>
- updated to version 19990919

* Wed Sep  1 1999 Emmanuel Rouat <emmanuel.rouat at wanadoo.fr>
- updated to version 19990829

* Mon Jul 19 1999 Emmanuel Rouat <emmanuel.rouat at wanadoo.fr>
- Group is now System Environment/Libraries
- rebuild with libgdgeda

* Sat Jul 10 1999 Emmanuel Rouat <emmanuel.rouat at wanadoo.fr>
- initialization of spec file.

# end of file
